Bug 1102098 - Review Request: lua-cyrussasl - Cyrus SASL library for Lua
Summary: Review Request: lua-cyrussasl - Cyrus SASL library for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-28 13:27 UTC by Robert Scheck
Modified: 2014-08-15 18:59 UTC (History)
3 users (show)

Fixed In Version: lua-cyrussasl-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:23:56 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2014-05-28 13:27:43 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/lua-cyrussasl.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/lua-cyrussasl-1.0.0-1.src.rpm
Description:
Lua bindings for the Cyrus SASL APIs.


This package is intended for all branches including Fedora EPEL 5.

Comment 1 Christopher Meng 2014-07-29 05:34:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
lua-cyrussasl-1.0.0/context.c
lua-cyrussasl-1.0.0/context.h
lua-cyrussasl-1.0.0/cyrussasl.c
lua-cyrussasl-1.0.0/luaabstract.c
lua-cyrussasl-1.0.0/luaabstract.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define luaver 5.2, %define luaver
     5.1, %define lualibdir %{_libdir}/lua/%{luaver}
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: lua-cyrussasl-1.0.0-1.fc22.i686.rpm
          lua-cyrussasl-1.0.0-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lua-cyrussasl
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
lua-cyrussasl (rpmlib, GLIBC filtered):
    libc.so.6
    libsasl2.so.3
    lua(abi)
    rtld(GNU_HASH)



Provides
--------
lua-cyrussasl:
    lua-cyrussasl
    lua-cyrussasl(x86-32)



Unversioned so-files
--------------------
lua-cyrussasl: /usr/lib/lua/5.2/cyrussasl.so

Source checksums
----------------
https://github.com/JorjBauer/lua-cyrussasl/archive/v1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : e70249ff924446a54f9bf73bc6492abeb9fb718441a0868e8eeae829690c6775
  CHECKSUM(SHA256) upstream package : e70249ff924446a54f9bf73bc6492abeb9fb718441a0868e8eeae829690c6775


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -rvn lua-cyrussasl-1.0.0-1.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
PACKAGE APPROVED.

Comment 2 Robert Scheck 2014-07-29 07:22:46 UTC
New Package SCM Request
=======================
Package Name: lua-cyrussasl
Short Description: Cyrus SASL library for Lua
Upstream URL: https://github.com/JorjBauer/lua-cyrussasl
Owners: robert
Branches: f19 f20 f21 el5 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-29 12:23:38 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-29 18:34:55 UTC
lua-cyrussasl-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lua-cyrussasl-1.0.0-1.fc20

Comment 5 Fedora Update System 2014-07-29 18:35:13 UTC
lua-cyrussasl-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lua-cyrussasl-1.0.0-1.fc19

Comment 6 Fedora Update System 2014-07-29 18:35:28 UTC
lua-cyrussasl-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lua-cyrussasl-1.0.0-1.el6

Comment 7 Fedora Update System 2014-07-29 18:35:43 UTC
lua-cyrussasl-1.0.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lua-cyrussasl-1.0.0-1.el5

Comment 8 Fedora Update System 2014-07-30 06:58:36 UTC
lua-cyrussasl-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-08-07 15:23:56 UTC
lua-cyrussasl-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-08-07 15:26:08 UTC
lua-cyrussasl-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-08-15 18:56:59 UTC
lua-cyrussasl-1.0.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 12 Fedora Update System 2014-08-15 18:59:48 UTC
lua-cyrussasl-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.